Bug 1119620 - Upgrade failed via kernel cmdline.
Summary: Upgrade failed via kernel cmdline.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Douglas Schilling Landgraf
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 07:14 UTC by cshao
Modified: 2016-02-10 19:39 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:29 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30094 master ABANDONED migration: Move migration script to boot Never
oVirt gerrit 30441 None None None Never

Description cshao 2014-07-15 07:14:29 UTC
Description of problem:
Upgrade failed via kernel cmdline.

Starting ovirt-firstboot: Traceback (most recent call last):
File "<stdin>", line 5, in <module>
AttributeError: 'module' object has no attribute 'MigrateConfigs'
Jul 15 03:22:05 Automatic install failed. Please review console message
Jul 15 03:22:05 Press Enter to drop to emergency shell.


Version-Release number of selected component (if applicable):
ovirt-node-iso-3.5.0.ovirt35.20140707.el6.iso
ovirt-node-3.1.0-0.0.master.20140707.git2f40d75.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install old build.
2. Connect boot media to machine and boot from it.
3. Append "upgrade" on boot kernel command line
4. Press "Enter" to upgrade

Actual results:
Upgrade failed via kernel cmdline.

Expected results:
The upgrade successfully and host could reboot with new build

Additional info:

Comment 1 Fabian Deutsch 2014-07-29 10:03:08 UTC
Adressed with a different bug.

Comment 2 Sandro Bonazzola 2014-10-17 12:34:29 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.